Mac/Centos7 使用yarn安装node-sass失败的解决方案

Guoye

查看yarn版本

查看版本

查看当前是否已安装yarn

$ yarn --version

# 如下显示版本号,则表明已安装yarn
[root@VM_0_16_centos webapp]# yarn --version
1.19.1

若未安装,请先安装

安装yarn

如果查看结束没显示对应版本号,则需安装yarn

# 第一步
$ sudo wget https://dl.yarnpkg.com/rpm/yarn.repo -O /etc/yum.repos.d/yarn.repo

# 第二步
$ sudo yum install yarn

# 第三步 再次查看版本
¥ yarn --version

这里也有我写的更详情的安装说明描述:2步完成centos 7安装yarn

配置yarn国内镜像

NPM

$ npm config set registry http://registry.npm.taobao.org
$ npm config set sass-binary-site http://npm.taobao.org/mirrors/node-sass

YARN

$ yarn config set registry http://registry.npm.taobao.org
$ yarn config set sass-binary-site http://npm.taobao.org/mirrors/node-sass

备用

  • yarn config set sass_binary_site http://cdn.npm.taobao.org/dist/node-sass -g
阅读 430

_____

254 声望
6 粉丝
0 条评论

_____

254 声望
6 粉丝
宣传栏